## polkit-kde-1 0.99.1

=== CMakeLists.txt ===
project(polkit-kde-agent-1)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

find_package(KDE4 REQUIRED)

set(POLKITQT-1_MIN_VERSION "0.99.0")
find_package(PolkitQt-1 REQUIRED)

include_directories(${KDE4_INCLUDES}
                    ${POLKITQT-1_INCLUDE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

set(policykit_SRCS
    policykitkde.cpp
    policykitlistener.cpp
    main.cpp
    AuthDialog.cpp
)

qt4_add_dbus_adaptor(policykit_SRCS org.kde.Polkit1AuthAgent.xml policykitlistener.h PolicyKitListener)

kde4_add_ui_files(policykit_SRCS AuthDialog.ui authdetails.ui)

kde4_add_executable(polkit-kde-authentication-agent-1 ${policykit_SRCS})

target_link_libraries(polkit-kde-authentication-agent-1
                                         ${KDE4_KDEUI_LIBS}
                                         ${POLKITQT-1_LIBRARIES}
)

configure_file(polkit-kde-authentication-agent-1.desktop.in ${CMAKE_BINARY_DIR}/polkit-kde-authentication-agent-1.desktop)

install(TARGETS polkit-kde-authentication-agent-1 DESTINATION ${LIBEXEC_INSTALL_DIR})

install(FILES ${CMAKE_BINARY_DIR}/polkit-kde-authentication-agent-1.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

install(FILES policykit1-kde.notifyrc DESTINATION ${DATA_INSTALL_DIR}/policykit1-kde)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_TW)
add_subdirectory(zh_CN)
add_subdirectory(vi)
add_subdirectory(uk)
add_subdirectory(ug)
add_subdirectory(tr)
add_subdirectory(th)
add_subdirectory(sv)
add_subdirectory(sr@latin)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sr@ijekavian)
add_subdirectory(sr)
add_subdirectory(sl)
add_subdirectory(sk)
add_subdirectory(ru)
add_subdirectory(ro)
add_subdirectory(pt_BR)
add_subdirectory(pt)
add_subdirectory(pl)
add_subdirectory(pa)
add_subdirectory(nl)
add_subdirectory(nds)
add_subdirectory(nb)
add_subdirectory(ms)
add_subdirectory(mr)
add_subdirectory(mai)
add_subdirectory(lt)
add_subdirectory(km)
add_subdirectory(kk)
add_subdirectory(ja)
add_subdirectory(it)
add_subdirectory(is)
add_subdirectory(hu)
add_subdirectory(hr)
add_subdirectory(gl)
add_subdirectory(ga)
add_subdirectory(fr)
add_subdirectory(fi)
add_subdirectory(et)
add_subdirectory(es)
add_subdirectory(eo)
add_subdirectory(en_GB)
add_subdirectory(el)
add_subdirectory(de)
add_subdirectory(da)
add_subdirectory(cs)
add_subdirectory(ca@valencia)
add_subdirectory(ca)
add_subdirectory(bs)
add_subdirectory(ar)

## polkit-kde-1 0.95.1

=== debian/changelog ===
polkit-kde-1 (0.95.1-2) unstable; urgency=low

  * Update debian/control: add policykit-1 dependency.

 -- Fathi Boudra <fabo@debian.org>  Mon, 22 Mar 2010 09:08:17 +0100

polkit-kde-1 (0.95.1-1) unstable; urgency=low

  * Initial release. (Closes: #571531)

  -- Fathi Boudra <fabo@debian.org>  Thu, 25 Feb 2010 20:43:18 +0100

=== debian/control ===
Source: polkit-kde-1
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev, libpolkit-qt-1-dev
Standards-Version: 3.8.4
Section: libs

Package: polkit-kde-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, policykit-1
Description: KDE dialogs for PolicyKit
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.
 .
 PolicyKit-Kde provides a D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with kde $@

.PHONY: override_dh_auto_test

## polkit-kde-1 0.99.0

=== debian/changelog ===
polkit-kde-1 (0.99.0-3ubuntu5) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:10 +0100

polkit-kde-1 (0.99.0-3ubuntu4) precise; urgency=low

  * Update auto_restart_on_crash.diff with a fix from the upstream repository.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 16 Dec 2011 16:50:26 +0100

polkit-kde-1 (0.99.0-3ubuntu3) precise; urgency=low

  * Update auto_restart_on_crash.diff to fix a crash it introduces.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 Oct 2011 18:33:30 -0400

polkit-kde-1 (0.99.0-3ubuntu2) precise; urgency=low

  * Add auto_restart_on_crash.diff to do the obvious. This prevents polkit
    authorization not working until the next login if polkit-kde-1 crashes.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 22 Oct 2011 19:03:42 -0400

polkit-kde-1 (0.99.0-3ubuntu1) oneiric; urgency=low

  * Hide useless checkboxes in the authorization dialog. (LP: #851090)
    - Add hide_useless_checkboxes.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 18:57:04 +0200

polkit-kde-1 (0.99.0-3) unstable; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/fix_dialog_focus.diff from Kubuntu
    - Prevents the auth dialog from popping up in the background where it can't
      be seen

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:38:30 +0300

polkit-kde-1 (0.99.0-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:28:45 +0300

polkit-kde-1 (0.99.0-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.
  * Switch to dhmk based debian-qt-kde.mk.

  [ José Manuel Santamaría Lema ]
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Bump libpolkit-qt-1-dev build depend to 0.99.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 23 Mar 2011 01:30:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: polkit-kde-1
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev, libpolkit-qt-1-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.11),
+ kdelibs5-dev, libpolkit-qt-1-dev (>= 0.99.0)
+Standards-Version: 3.9.2
 Section: libs
+Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-kde-1.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/polkit-kde-1.git
 
 Package: polkit-kde-1
 Architecture: any

## polkit-kde-1 0.99.1

=== debian/changelog ===
polkit-kde-1 (0.99.1-1) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * New upstream release.
    - Drop fix_dialog_focus.diff, applied upstream.
    - Remove non-functional checkbox "Remember password". (Closes: #691104)
  * Remove obsolete /etc/xdg/autostart/polkit-kde-authentication-agent-1.desktop
    on upgrade. (Closes: #645440)
  * Bump Standards-Version to 3.9.4, no changes needed.

  [ Pino Toscano ]
  * The rebuild changes the kdebase-runtime dependency to kde-runtime.
    (Closes: #716849)
  * Update Vcs-* headers

 -- Felix Geyer <fgeyer@debian.org>  Mon, 12 Aug 2013 11:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: polkit-kde-1
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.11),
  kdelibs5-dev, libpolkit-qt-1-dev (>= 0.99.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/polkit-kde-1.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/polkit-kde-1.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/polkit-kde-1.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/polkit-kde-1.git
 
 Package: polkit-kde-1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test
